Debian Bug report logs - #466514
dpkg-cross: Post remove script fails on purge

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Bradley Smith <brad@brad-smith.co.uk>

Date: Tue, 19 Feb 2008 09:06:01 UTC

Severity: normal

Found in version dpkg-cross/2.1.0

Fixed in version dpkg-cross/2.2.0

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#466514; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Bradley Smith <brad@brad-smith.co.uk>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bradley Smith <brad@brad-smith.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg-cross: Post remove script fails on purge
Date: Tue, 19 Feb 2008 09:04:01 +0000
Package: dpkg-cross
Version: 2.1.0
Severity: normal

When purging, the postrm script fails with following error:

Removing dpkg-cross ...
Purging configuration files for dpkg-cross ...
/var/lib/dpkg/info/dpkg-cross.postrm: line 26: [: missing `]'
/var/lib/dpkg/info/dpkg-cross.postrm: line 26: [: missing `]'


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dpkg-cross depends on:
ii  binutils-multiarch  2.18.1~cvs20080103-1 Binary utilities that support mult
ii  debconf [debconf-2. 1.5.19               Debian configuration management sy
ii  dpkg-dev            1.14.16.6            package building tools for Debian
ii  libdebian-dpkgcross 2.1.0                functions to aid cross-compiling D
ii  perl                5.8.8-12             Larry Wall's Practical Extraction 

Versions of packages dpkg-cross recommends:
ii  fakeroot                      1.9.3      Gives a fake root environment

-- debconf information:
* dpkg-cross/default-arch: arm




Tags added: pending Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 19 Feb 2008 10:18:06 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bradley Smith <brad@brad-smith.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 466514-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 466514-close@bugs.debian.org
Subject: Bug#466514: fixed in dpkg-cross 2.2.0
Date: Wed, 20 Feb 2008 12:02:03 +0000
Source: dpkg-cross
Source-Version: 2.2.0

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.2.0.dsc
  to pool/main/d/dpkg-cross/dpkg-cross_2.2.0.dsc
dpkg-cross_2.2.0.tar.gz
  to pool/main/d/dpkg-cross/dpkg-cross_2.2.0.tar.gz
dpkg-cross_2.2.0_all.deb
  to pool/main/d/dpkg-cross/dpkg-cross_2.2.0_all.deb
libdebian-dpkgcross-perl_2.2.0_all.deb
  to pool/main/d/dpkg-cross/libdebian-dpkgcross-perl_2.2.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 466514@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 19 Feb 2008 12:53:11 +0000
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.2.0
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 440332 466514
Changes: 
 dpkg-cross (2.2.0) unstable; urgency=low
 .
   * Post remove script fails on purge (Closes: #466514)
   * fix_la_file in dpkg-cross does not properly match all dependencies
     (Closes: #440332)
 .
 dpkg-cross (2.1.1) unstable; urgency=low
 .
   * Fix typo in keep temp logic
Files: 
 44269b622e6bd6a8ed50ea13610328cc 966 utils extra dpkg-cross_2.2.0.dsc
 efaae6aa4711a8cafedd44838e553dcd 83966 utils extra dpkg-cross_2.2.0.tar.gz
 4ddf0dc74403e04cf8aac009bc3b3f47 48652 utils extra dpkg-cross_2.2.0_all.deb
 e862d5f7807cd23b072156ed0afd844d 29782 perl extra libdebian-dpkgcross-perl_2.2.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHvBP3iAEJSii8s+MRAs3oAKDnvX8GU1+mbtx4r++i2rmvVmoQIwCguQn1
sqilBr9uL5wd44IUJrhAohk=
=byoa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 31 Mar 2008 07:27:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:10:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.